Functions

# ai_object.cpp File Reference

Implementation of AIObject. More...

`#include "../../stdafx.h"`
`#include "../../script/squirrel.hpp"`
`#include "../../command_func.h"`
`#include "../../company_base.h"`
`#include "../../company_func.h"`
`#include "../../network/network.h"`
`#include "../../tunnelbridge.h"`
`#include "../ai_storage.hpp"`
`#include "../ai_instance.hpp"`
`#include "ai_error.hpp"`

Go to the source code of this file.

## Functions
static AIStorage * | GetStorage ()
| Get the storage associated with the current AIInstance.

## Detailed Description

Implementation of AIObject.

Definition in file ai_object.cpp.

## Function Documentation

static AIStorage* GetStorage | ( |  | ) | `[static]`

Get the storage associated with the current AIInstance.

Returns:
  The storage.

Definition at line 28 of file ai_object.cpp.

References AIInstance::GetStorage().

Referenced by AIObject::CanSuspend(), AIObject::GetAllowDoCommand(), AIObject::GetCallbackVariable(), AIObject::GetDoCommandCosts(), AIObject::GetDoCommandDelay(), AIObject::GetDoCommandMode(), AIObject::GetDoCommandModeInstance(), AIObject::GetEventPointer(), AIObject::GetLastCommandRes(), AIObject::GetLastCost(), AIObject::GetLastError(), AIObject::GetLogPointer(), AIObject::GetNewGroupID(), AIObject::GetNewSignID(), AIObject::GetNewTunnelEndtile(), AIObject::GetNewVehicleID(), AIObject::GetRailType(), AIObject::GetRoadType(), AIObject::IncreaseDoCommandCosts(), AIObject::SetAllowDoCommand(), AIObject::SetCallbackVariable(), AIObject::SetDoCommandCosts(), AIObject::SetDoCommandDelay(), AIObject::SetDoCommandMode(), AIObject::SetLastCommandRes(), AIObject::SetLastCost(), AIObject::SetLastError(), AIObject::SetNewGroupID(), AIObject::SetNewSignID(), AIObject::SetNewTunnelEndtile(), AIObject::SetNewVehicleID(), AIObject::SetRailType(), and AIObject::SetRoadType().